org.apache.sysds.runtime.io

## Class TensorReaderFactory

- java.lang.Object
- - org.apache.sysds.runtime.io.TensorReaderFactory

    public class TensorReaderFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TensorReaderFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TensorReader` `createTensorReader(Types.FileFormat fmt)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TensorReaderFactory

    public TensorReaderFactory()

### Method Detail

#### createTensorReader

    public static TensorReader createTensorReader(Types.FileFormat fmt)